<class_libraries>
    <library path="toid_spinner_controller">
        <class type="toid::SpinnerController" base_class_type="nav2_core::Controller">
            <description>
                toid_SpinnerController
            </description>
        </class>
    </library>
</class_libraries>